%global major   0
%global gmajor  0.1
%global libname %mklibname %{name} %{major}
%global girname %mklibname gtklayershell-gir %{gmajor}
%global devname %mklibname %{name} -d

Name:           gtk-layer-shell
Version:        0.9.1
Release:        %mkrel 1
Summary:        Library to create components for Wayland using the Layer Shell
License:        LGPLv3+ and MIT
Group:		System/Libraries
URL:            https://github.com/wmww/gtk-layer-shell
Source0:        https://github.com/wmww/gtk-layer-shell/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  vala-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0)

# https://github.com/wmww/gtk-layer-shell/blob/master/compatibility.md
BuildRequires:  pkgconfig(gtk+-wayland-3.0) >= 3.22.0

BuildRequires:  pkgconfig(wayland-client) >= 1.10.0
BuildRequires:  pkgconfig(wayland-scanner) >= 1.10.0

%description
A library to write GTK applications that use Layer Shell. Layer Shell is a
Wayland protocol for desktop shell components, such as panels, notifications
and wallpapers. You can use it to anchor your windows to a corner or edge of
the output, or stretch them across the entire output. This library only makes
sense on Wayland compositors that support Layer Shell, and will not work on
X11. It supports all Layer Shell features including popups and popovers
(GTK popups Just Work™). Please open issues for any bugs you come across.

%package -n %{libname}
Summary:        Library to create components for Wayland using the Layer Shell
Group:          System/Libraries

%description -n %{libname}
A library to write GTK applications that use Layer Shell. Layer Shell is a
Wayland protocol for desktop shell components, such as panels, notifications
and wallpapers. You can use it to anchor your windows to a corner or edge of
the output, or stretch them across the entire output. This library only makes
sense on Wayland compositors that support Layer Shell, and will not work on
X11. It supports all Layer Shell features including popups and popovers
(GTK popups Just Work™). Please open issues for any bugs you come across.

%package -n %{girname}
Summary:        GObject Introspection interface description for GtkLayerShell
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for GtkLayerShell.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.


%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license LICENSE_LGPL.txt LICENSE_MIT.txt
%doc README.md CHANGELOG.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkLayerShell-%{gmajor}.typelib

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{name}.so
%{_datadir}/gir-1.0/GtkLayerShell-%{gmajor}.gir
%{_datadir}/vala/vapi/gtk-layer-shell-%{major}.{deps,vapi}


%changelog
* Fri Apr 11 2025 daviddavid <daviddavid> 0.9.1-1.mga10
+ Revision: 2174600
- new version 0.9.1

* Sun Sep 15 2024 daviddavid <daviddavid> 0.9.0-1.mga10
+ Revision: 2096748
- new version: 0.9.0

* Wed May 08 2024 daviddavid <daviddavid> 0.8.2-1.mga10
+ Revision: 2062844
- new version: 0.8.2

* Sun Nov 27 2022 wally <wally> 0.8.0-1.mga9
+ Revision: 1911684
- new version 0.8.0

* Sat Apr 23 2022 wally <wally> 0.7.0-1.mga9
+ Revision: 1852847
- new version 0.7.0

* Wed Mar 30 2022 umeabot <umeabot> 0.6.0-2.mga9
+ Revision: 1835571
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 0.6.0-1.mga9
+ Revision: 1740038
- mageiafy .spec
- imported package gtk-layer-shell based on .spec from Fedora


* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- build(update): 0.6.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- build(update): 0.5.2

* Mon Nov  2 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.1-1
- Update to 0.5.1

* Fri Oct 30 09:02:47 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-2
- fix: license now LGPLv3+ and MIT
  https://github.com/wmww/gtk-layer-shell#licensing-rationale

* Thu Oct 29 07:32:33 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- build(update): 0.5.0

* Thu Oct 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- build(update): 0.4.0

* Thu Aug 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Wed Jul 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 26 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-2
- Cosmetic fixes

* Thu Sep 26 2019 gasinvein <gasinvein@gmail.com>
- Initial package
